# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "alizarin-core"
version = "2.0.0-alpha.101"
authors = ["Phil Weir <phil.weir@flaxandteal.co.uk>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Core data structures and algorithms for Arches heritage graph and tile processing"
homepage = "https://github.com/flaxandteal/alizarin"
readme = false
keywords = [
    "arches",
    "heritage",
    "rdf",
    "graph",
]
categories = ["data-structures"]
license = "AGPL-3.0-or-later"
repository = "https://github.com/flaxandteal/alizarin"

[features]
default = []
multi-threaded = ["lasso/multi-threaded"]
parallel = ["rayon"]

[lib]
name = "alizarin_core"
path = "src/lib.rs"

[[test]]
name = "matching_entries_test"
path = "tests/matching_entries_test.rs"

[[test]]
name = "semantic_children_test"
path = "tests/semantic_children_test.rs"

[dependencies.chrono]
version = "0.4"

[dependencies.csv]
version = "1.3"

[dependencies.lasso]
version = "0.7"
features = ["serialize"]

[dependencies.lazy_static]
version = "1.4"

[dependencies.oxiri]
version = "0.2"

[dependencies.rayon]
version = "1.10"
optional = true

[dependencies.regex-lite]
version = "0.1"

[dependencies.rio_api]
version = "0.8"

[dependencies.rio_xml]
version = "0.8"

[dependencies.rmp-serde]
version = "1"

[dependencies.serde]
version = "1.0"
features = ["derive"]

[dependencies.serde_json]
version = "1.0"

[dependencies.uuid]
version = "1.0"
features = [
    "v4",
    "v5",
]

[dev-dependencies]
